Package com.sas.services.information.publicobject

# Interface PublicObjectInterface

All Superinterfaces:
  `Remote`

All Known Subinterfaces:
  `AbstractPropertyInterface`, `AccessControlEntryInterface`, `AccessControlTemplateInterface`, `ActionInterface`, `AnalyticTableInterface`, `ApplicationInterface`, `ArchiveInterface`, `AssociationPropertyInterface`, `AttributePropertyInterface`, `AuthenticationDomainInterface`, `BaseOMRPromptInterface`, `BookmarkEntryInterface`, `ChannelInterface`, `ClassifierInterface`, `ColumnContainerInterface`, `ColumnHierarchyInterface`, `ColumnInterface`, `COMConnectionInterface`, `ConditionActionSetInterface`, `ConditionInterface`, `ConfigurationXMLTextStoreInterface`, `ConfiguredComponentInterface`, `ConnectionInterface`, `ConnectServerInterface`, `ConnectSpawnerInterface`, `ContentInterface`, `ContentSubscriberGroupInterface`, `ContentSubscriberInterface`, `CubeInterface`, `DatabaseCatalogInterface`, `DatabaseSchemaInterface`, `DataExplorationEntryInterface`, `DataStepBatchServerInterface`, `DataTableInterface`, `DataTableRoleInterface`, `DavBinaryPackageInterface`, com.sas.services.information.metadata.DeployedDataPackageInterface, `DirectiveInterface`, `DirectoryInterface`, `DocumentInterface`, `EmailInterface`, `EventInterface`, `EventSubscriberGroupInterface`, `EventSubscriberInterface`, `ExtensionInterface`, `ExternalIdentityInterface`, `ExternalTableInterface`, `FavoritesContainer`, `FavoritesFolder`, `FavoritesGroup`, `FileInterface`, `FilteredFolderInterface`, `FilteredRepositoryInterface`, `FolderInterface`, `ForeignKeyInterface`, `FtpServerInterface`, `GeneratedTransformInterface`, `GridApplicationInterface`, `GridMonitoringServerInterface`, `GridServerInterface`, `GroupInterface`, `HostInterface`, `HttpServerInterface`, `IdentityGroupInterface`, `IdentityInterface`, `IndexInterface`, `JavaBatchServerInterface`, `JobInterface`, `KeyAssociationInterface`, `LocationInterface`, `LogicalConnectServerInterface`, `LogicalDataStepBatchServerInteface`, `LogicalGridServerInterface`, `LogicalJavaBatchServerInterface`, `LogicalOSServerInterface`, `LogicalServerInterface`, `LoginInterface`, `MessageQueueInterface`, `MetadataInterface`, `MSMQQueueManagerInterface`, `MutableContainerInterface`, `MyDocumentsInterface`, `MyInboxInterface`, `MyResultsInterface`, `NoteInterface`, `OLAPSchemaInterface`, `OMRPromptGroupInterface`, `OperatingSystemServerInterface`, `OracleServerInterface`, `PackageEventInterface`, `PackageInterface`, `PersonalRepositoryInterface`, `PersonInterface`, `PhoneNumberInterface`, `PhysicalTableInterface`, `ProfileReportInterface`, `PropertyGroupInterface`, `PropertyInterface`, `PropertySetInterface`, `PrototypeInterface`, `PrototypePropertyInterface`, `ProxyInterface`, `ProxyListInterface`, `PublicObjectContainerInterface`, `PublishDirectoryInterface`, `QueryClauseInterface`, `QueueManagerInterface`, `RelationalKeyInterface`, `RelationalSchemaInterface`, `RelationalTableInterface`, `RemarksInterface`, `RoleInterface`, `RootFolderInterface`, `SASClientConnectionInterface`, `SasInProcessServerInterface`, `SASLibraryInterface`, `SearchFolder`, `ServerComponentInterface`, `ServerContextInterface`, `ServerInterface`, `ServiceTypeInterface`, `SharedDimensionInterface`, `ShareServerInterface`, `SoftwareComponentInterface`, `SPDSServerInterface`, `StoredProcessAlertItemInterface`, `StoredProcessInterface`, `SubscriberInterface`, `TableServerInterface`, `TCPIPConnectionInterface`, `TextStoreInterface`, `TransformationInterface`, `VirtualFolderInterface`, `WebsphereQueueManagerInterface`

All Known Implementing Classes:
  `AllUsersIdentity`, `Application`, `AuthenticatedIdentity`, `Content`, `DAVAccessControlEntry`, `DavBinaryPackage`, `DavEvent`, `DavPerson`, `FilteredFolder`, `FilteredRepository`, `Folder`, `Metadata`, `MyDocuments`, `MyInbox`, `MyResults`, com.sas.services.information.metadata.OMRConnection, `OMRDatabaseServer`, `OMRGridApplication`, `OMRHadoopServer`, `OMRHost`, `OMRPostgresServer`, `OMRPromptDefinition`, `OMRPromptGroup`, `OMRProxy`, `OMRProxyList`, `OMRSAPServer`, com.sas.services.information.metadata.OMRServer, com.sas.services.information.metadata.OMRServerComponent, com.sas.services.information.metadata.OMRSoftwareComponent, `OMRSPDSServer`, com.sas.services.information.metadata.OMRTCPIPConnection, `OMRTransformation`, `PersonalRepository`, `PropertyIdentity`, `ReferenceIdentity`, `Remarks`, `RepositoryMetadata`, `SelfIdentity`, `ServerVirtualFolder`, `StoredProcessAlertItem`, `UnauthenticatedIdentity`, `VirtualFolder`, `VirtualMetadata`

public interface PublicObjectInterface extends Remote
This object defines a Public Object. It is used when you want an object to participate in the Public Object Framework.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addProcessorInterface(String interfaceClassName, ProcessorInterface actionInterface)`
  Add an action interface to this class.
  `PublicObjectContainerInterface`
  `getContainer()`
  Get the object which contains this object.
  `String`
  `getIdentifier()`
  Get the unique ID of this object.
  `String`
  `getName()`
  Get the name of this object.
  `URI`
  `getObjectURI()`
  This method is currently not being implemented and is reserved for future use.
  `PathUrl`
  `getPathUrl()`
  Get the SBIP URL.
  `ProcessorInterface`
  `getProcessorInterface(String interfaceClassName)`
  Get the specified action interface.
  `TypeDescriptorInterface`
  `getTypeDescriptor()`
  Get the type descriptor which should have the information from the Type Dictionary in metadata available for the clients.

- ## Method Details

  - ### addProcessorInterface

    void addProcessorInterface(String interfaceClassName, ProcessorInterface actionInterface) throws ServiceException, RemoteException
    Add an action interface to this class.
    Parameters:
      `interfaceClassName` -
      `actionInterface` -
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getProcessorInterface

    ProcessorInterface getProcessorInterface(String interfaceClassName) throws ServiceException, RemoteException
    Get the specified action interface.
    Parameters:
      `interfaceClassName` -
    Returns:
      ProcessorInterface
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getObjectURI

    URI getObjectURI() throws ServiceException, RemoteException
    This method is currently not being implemented and is reserved for future use.

    Get the location of this object in the SAS Tree. This should be of the form sasds://xxx/xxx/xxx/

    Returns:
      java.net.URI
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getTypeDescriptor

    TypeDescriptorInterface getTypeDescriptor() throws ServiceException, RemoteException
    Get the type descriptor which should have the information from the Type Dictionary in metadata available for the clients.
    Returns:
      TypeDescriptorInterface
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getName

    String getName() throws RemoteException
    Get the name of this object.
    Returns:
      String
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getContainer

    PublicObjectContainerInterface getContainer() throws ServiceException, RemoteException
    Get the object which contains this object.
    Returns:
      PublicObjectContainerInterface
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getIdentifier

    String getIdentifier() throws ServiceException, RemoteException
    Get the unique ID of this object.
    Returns:
      String
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getPathUrl

    PathUrl getPathUrl() throws IllegalStateException, ServiceException, RemoteException
    Get the SBIP URL. This is an object that contains the repository name, the path from a root to the object, the object's name and the object's type. In the SAS Metadata Server, an object is in a rooted Tree if it has a path to a Tree that's associated to a SoftwareComponent with a ClassIdentifier of "E5F27790-2149-11D6-8828-AA0004006D06", and a name of "BIP Service".
    Returns:
      a `PathUrl` value with the object's location in a rooted tree. If the object isn't in a rooted tree, null is returned.
    Throws:
      `ServiceException` - if a repository error occurs.
      `RemoteException` - if a remote object error occurs.
      `IllegalStateException`